# Uses of Interface
java.sql.NClob

Packages that use NClob
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of NClob in java.sql

Methods in java.sql that return NClob
Modifier and Type
Method
Description
`NClob`
Connection.`createNClob()`
Constructs an object that implements the `NClob` interface.
`NClob`
CallableStatement.`getNClob(int parameterIndex)`
Retrieves the value of the designated JDBC `NCLOB` parameter as a `java.sql.NClob` object in the Java programming language.
`NClob`
CallableStatement.`getNClob(String parameterName)`
Retrieves the value of a JDBC `NCLOB` parameter as a `java.sql.NClob` object in the Java programming language.
`NClob`
ResultSet.`getNClob(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `NClob` object in the Java programming language.
`NClob`
ResultSet.`getNClob(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `NClob` object in the Java programming language.
`NClob`
SQLInput.`readNClob()`
Reads an SQL `NCLOB` value from the stream and returns it as a `NClob` object in the Java programming language.
Methods in java.sql with parameters of type NClob
Modifier and Type
Method
Description
`void`
CallableStatement.`setNClob(String parameterName, NClob value)`
Sets the designated parameter to a `java.sql.NClob` object.
`void`
PreparedStatement.`setNClob(int parameterIndex, NClob value)`
Sets the designated parameter to a `java.sql.NClob` object.
`void`
ResultSet.`updateNClob(int columnIndex, NClob nClob)`
Updates the designated column with a `java.sql.NClob` value.
`void`
ResultSet.`updateNClob(String columnLabel, NClob nClob)`
Updates the designated column with a `java.sql.NClob` value.
`void`
SQLOutput.`writeNClob(NClob x)`
Writes an SQL `NCLOB` value to the stream.

## Uses of NClob in javax.sql

Methods in javax.sql with parameters of type NClob
Modifier and Type
Method
Description
`void`
RowSet.`setNClob(int parameterIndex, NClob value)`
Sets the designated parameter to a `java.sql.NClob` object.
`void`
RowSet.`setNClob(String parameterName, NClob value)`
Sets the designated parameter to a `java.sql.NClob` object.

## Uses of NClob in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type NClob
Modifier and Type
Method
Description
`void`
BaseRowSet.`setNClob(int parameterIndex, NClob value)`
Sets the designated parameter to a `java.sql.NClob` object.
`void`
BaseRowSet.`setNClob(String parameterName, NClob value)`
Sets the designated parameter to a `java.sql.NClob` object.

## Uses of NClob in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial that return NClob
Modifier and Type
Method
Description
`NClob`
SQLInputImpl.`readNClob()`
Reads an SQL `NCLOB` value from the stream and returns it as a `Clob` object in the Java programming language.
Methods in javax.sql.rowset.serial with parameters of type NClob
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeNClob(NClob x)`
Writes an SQL `NCLOB` value to the stream.